/*
** CBLM v3
** $Id: probe.h,v 1.5 2007/12/11 06:59:52 sella Exp $
** Copyright (c) 2004-2007 James M. Sella. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
** 
** Cheap Bastard Latency Monitor v3
*/

#ifndef __DGS_PROBE_H
#define __DGS_PROBE_H

#include "common.h"

/* Function definitions. */
int register_probe();
int unregister_probe();
int read_probes();
int is_probe(const char* ip);
void free_probes();
void free_probes_nolock();

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim: noet ts=3 sw=3
*/
